Bug 467384 - (mingw32-nsis) Review Request: mingw32-nsis - Nullsoft Scriptable Install System
Review Request: mingw32-nsis - Nullsoft Scriptable Install System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Levente Farkas
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc
Blocks: mingw32-nsiswrapper
  Show dependency treegraph
 
Reported: 2008-10-17 05:08 EDT by Richard W.M. Jones
Modified: 2009-02-24 16:03 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.43-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 04:19:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lfarkas: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 05:08:19 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/nsis/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-nsis-2.39-5.fc9.src.rpm
Description: Nullsoft Scriptable Install System

NSIS, the Nullsoft Scriptable Install System, is a script-driven
Windows installation system.

This package includes native Fedora binaries of makensis (etc.) and
all plugins except for System.dll.  The System.dll plugin cannot be
built natively at this time since it includes inline Microsoft
assembler code.

The approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Kevin Kofler has done some additional work to improve this package,
so I'm going to ask him if we wouldn't mind taking a look.
Comment 1 Kevin Kofler 2008-10-17 07:23:10 EDT
Here is the version I updated:
Spec URL: http://repo.calcforge.org/f10/mingw32-nsis.spec
SRPM URL: http://repo.calcforge.org/f10/mingw32-nsis-2.39-6.fc9.src.rpm

This doesn't include your fix for the Summary: tag yet, but there are other important fixes in it:

* Fri Oct 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.39-6
- Disable the NSIS Menu (does not work on *nix).
- Drop BR wxGTK-devel.

* Fri Oct 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.39-5
- Updated 64bit-fixes patch.
- BR native (64-bit) wxGTK-devel instead of 32-bit, don't BR 32-bit glibc.
- Obsoletes/Provides nsis and nsis-data for migration path from CalcForge.
- Fix NSIS Menu not finding its Menu/index.html file.


I also have a version which builds NSIS Menu, also without -m32, but the menu app doesn't actually work on Fedora, looks like it is Window$-only. Anyway, for reference, here's that version:
http://repo.calcforge.org/f10/mingw32-nsis-2.39-5.fc9.src.rpm


Note that these are NOT the packages currently in the CalcForge repository: the packages currently in CalcForge are not fully built from source, all the target DLLs (the plugins) are just copied from the binaries. The packages posted here are *built completely from source* (using mingw32-gcc to build the target stuff).
Comment 2 Kevin Kofler 2009-01-17 13:44:37 EST
Ping? My changes have still not been merged into your repo. :-(

In addition, we still need to look into the optflags issue (i.e. RPM optflags are supposed to be used at least for the native Fedora parts and currently aren't).
Comment 3 Richard W.M. Jones 2009-01-19 14:52:11 EST
Sorry, I meant to get round to this one today, but I've
run out of time.  I will attempt to look at it tomorrow
morning.
Comment 4 Kevin Kofler 2009-01-19 20:48:12 EST
For the optflags, I have this patch:
http://svn.calcforge.org/viewvc/fedora/nsis/nsis-2.34-RPM_OPT_FLAGS.diff?revision=2&root=repo-specfiles&view=markup
in my old packages, but it's for an old version (2.34) and I also haven't checked yet that it doesn't break the cross-built parts (my old packages didn't build the W32 stuff from source).
Comment 5 Richard W.M. Jones 2009-01-22 10:04:19 EST
I'm just not going to get to look at this in the next few
days, so if anyone wants to pick it up, go for it.  Otherwise
I might get a chance next week.
Comment 6 Levente Farkas 2009-02-15 14:58:18 EST
for #4 i try your patch:
http://svn.calcforge.org/viewvc/fedora/nsis/nsis-2.34-RPM_OPT_FLAGS.diff?revision=2&root=repo-specfiles
but for me it's not working ie it's also gives stack protector option for crosscompiler:-(
Comment 7 Levente Farkas 2009-02-15 15:10:52 EST
# rpmlint mingw32-nsis.spec 

0 packages and 1 specfiles checked; 0 errors, 0 warnings.

+ OK
- Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] rpmlint must be run on every package. The output should be posted in the
review.
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of the Packaging Guidelines;
inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ).
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines .
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[/] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[*] MUST: Header files must be in a -devel package.
[/] MUST: Static libraries must be in a -static package.
[/] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
[/] MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with
desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %i install for
details.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[+] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[/] SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[/] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[/] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

===================================================

 The package mingw32-nsis is approved by lfarkas

===================================================
Comment 8 Levente Farkas 2009-02-15 15:25:18 EST
opps i forget to add the koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1128551
Comment 9 Richard W.M. Jones 2009-02-17 05:51:03 EST
Levente, thanks for looking at this.
Comment 10 Richard W.M. Jones 2009-02-17 05:52:37 EST
New Package CVS Request
=======================
Package Name: mingw32-nsis
Short Description: Nullsoft Scriptable Install System
Owners: rjones berrange lfarkas
Branches: F-10 EL-5
InitialCC:
Comment 11 Levente Farkas 2009-02-17 06:20:00 EST
my comments on the list about the script itself still apply...
Comment 12 Kevin Fenzi 2009-02-18 14:24:02 EST
cvs done.
Comment 13 Fedora Update System 2009-02-24 04:18:18 EST
mingw32-nsis-2.43-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-nsis-2.43-3.fc10
Comment 14 Fedora Update System 2009-02-24 16:02:57 EST
mingw32-nsis-2.43-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.